For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate manual verification screening
      • POSTCreate Veriff session
      • GETGet entity screening details
      • GETGet verification method
      • GETGet worker's KYC details
      • POSTSubmit external KYC
LogoLogo
SupportDeel Home
EndpointsScreenings

Submit external KYC

POST
/screenings/kyc/external
POST
/rest/v2/screenings/kyc/external
$curl -X POST https://api.letsdeel.com/rest/v2/screenings/kyc/external \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F data='{
> "front": "string",
> "last_name": "Doe",
> "first_name": "John",
> "kyc_document": {
> "type": "passport",
> "id_number": "X12345678",
> "issuance_country": "US"
> },
> "date_of_birth": "1985-11-23",
> "screening_type": "live",
> "selfie_with_id": "string",
> "screening_status": "approved"
>}'
1{
2 "data": {
3 "created_at": "2017-07-21T17:32:28Z",
4 "request_id": "64rpWq2xQT225nGMQIaKg"
5 }
6}

Submits an external KYC record that combines automated Live ID verification (IDV) with a manual review workflow to satisfy identity verification and compliance requirements. Token scopes: worker:write

Was this page helpful?
Previous

Get service provider config

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects a multipart form.
dataobjectRequired

Response

KYC data successfully received
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication